load_joystick_data(3)

NAME
load_joystick_data

SYNOPSIS
#include <allegro.h>

int load_joystick_data(const char *filename);

DESCRIPTION
Restores calibration data previously stored by save_joystick_data() or the setup utility. This sets up all aspects of the joystick code: you don't even need to call install_joystick() if you are using this function. Pass a NULL filename to read the data from the currently selected configuration file. Returns zero on success: if it fails the joystick state is undefined and you must reinitialise it from scratch.

SEE ALSO
install_joystick(3), save_joystick_data(3), set_config_file(3)